language: php

env:
  CODECEPTION_VERSION: '4.0.x-dev'

php:
  - 7.2
  - 7.3

before_script:
  - wget https://robo.li/robo.phar
  - php robo.phar prepare:dependencies
  - composer update
  - php robo.phar prepare:tests
  - php robo.phar prepare:test-autoloading
  - composer dump-autoload

script:
  - php ./codecept run -c vendor/codeception/module-asserts/
  - php ./codecept run unit -g core
  - php ./codecept run cli
